###########################################################
# Syslog library calls
###########################################################

use strict;
use Sys::Syslog;

package Log;

sub Start {
  Sys::Syslog::openlog("virus", 'pid, nowait', 'mail');
  InfoLog('ECS E-Mail Virus Scanner starting.');
}

sub DieLog {
  Sys::Syslog::syslog('err', @_);
  Sys::Syslog::closelog();
  die "@_, $!";
}

sub WarnLog {
  Sys::Syslog::syslog('warning', @_);
  warn "@_, $!";
}

sub InfoLog {
  Sys::Syslog::syslog('info', @_);
  print "@_\n";
}

1;
