###########################################################
# Syslog library calls
###########################################################

use strict;
use Sys::Syslog;

package Log;

sub Start {
  Sys::Syslog::openlog("virus", 'pid, nowait', 'mail');
  InfoLog('ECS E-Mail Virus Scanner starting.');
}

sub DieLog {
  Sys::Syslog::syslog('fatal', @_);
  Sys::Syslog::closelog();
  die "$!";
}

sub WarnLog {
  Sys::Syslog::syslog('warning', @_);
  warn "$!";
}

sub InfoLog {
  Sys::Syslog::syslog('info', @_);
}

1;